Skip to main content
GET
/
documents
List documents
curl --request GET \
  --url https://mkk.celebi.me/api/documents
{
  "total": 123,
  "limit": 123,
  "offset": 123,
  "documents": [
    {
      "id": 123,
      "disclosure_index": "<string>",
      "file_name": "<string>",
      "pdf_url": "<string>",
      "kap_file_url": "<string>",
      "kap_url": "<string>",
      "page_count": 123,
      "parsed_pages": 123,
      "document_type": "<string>",
      "fund_code": "<string>",
      "fund_title": "<string>",
      "period": "<string>",
      "report_date": "<string>",
      "management_company": "<string>",
      "line_item_value_count": 123,
      "portfolio_entry_count": 123,
      "portfolio_row_count": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.mkk.celebi.me/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

fund_code
string

Filter by fund code.

period
string

Filter by report period.

q
string

Text search query.

limit
integer

Maximum number of rows to return.

Required range: 1 <= x <= 500
offset
integer

Number of rows to skip.

Required range: x >= 0

Response

200 - application/json

Paged document list.

total
integer
required
limit
integer
required
offset
integer
required
documents
object[]
required